org.eclnt.jsfserver.elements.componentnodes

## Class HTROWSTATUSBARNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTROWSTATUSBARNode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTROWSTATUSBARNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTROWSTATUSBARNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTROWSTATUSBARNode` | `bindComment(IDynamicContentBindingObject value)`
    `HTROWSTATUSBARNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTROWSTATUSBARNode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTROWSTATUSBARNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTROWSTATUSBARNode` | `setAttributemacro(java.lang.String value)`
    `HTROWSTATUSBARNode` | `setComment(java.lang.String value)`
    `HTROWSTATUSBARNode` | `setConfiginfo(java.lang.String value)`
    `HTROWSTATUSBARNode` | `setId(java.lang.String value)`
    `HTROWSTATUSBARNode` | `setReference(java.lang.String value)`
    `HTROWSTATUSBARNode` | `setRendered(boolean value)`
    `HTROWSTATUSBARNode` | `setRendered(java.lang.String value)`
    `HTROWSTATUSBARNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTROWSTATUSBARNode

          public HTROWSTATUSBARNode()

  - ### Method Detail

    - #### setId

          public HTROWSTATUSBARNode setId(java.lang.String value)

    - #### setAttributemacro

          public HTROWSTATUSBARNode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTROWSTATUSBARNode setComment(java.lang.String value)

    - #### bindComment

          public HTROWSTATUSBARNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HTROWSTATUSBARNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTROWSTATUSBARNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public HTROWSTATUSBARNode setReference(java.lang.String value)

    - #### setRendered

          public HTROWSTATUSBARNode setRendered(java.lang.String value)

    - #### bindRendered

          public HTROWSTATUSBARNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTROWSTATUSBARNode setRendered(boolean value)

    - #### setStylevariant

          public HTROWSTATUSBARNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTROWSTATUSBARNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.